Id (ZooKeeper 3.4.10 API)
Date: 2017-03-23

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.zookeeper.data
Class Id

    java.lang.Object
      org.apache.zookeeper.data.Id

All Implemented Interfaces:
  org.apache.jute.Record

    public class Id

extends Object
implements org.apache.jute.Record

Constructor Summary
`Id()`
`Id(String scheme, String id)`

Method Summary
`int` | `compareTo(Object peer_)`
`void` | `deserialize(org.apache.jute.InputArchive a_, String tag)`
`boolean` | `equals(Object peer_)`
`String` | `getId()`
`String` | `getScheme()`
`int` | `hashCode()`
`void` | `readFields(DataInput in)`
`void` | `serialize(org.apache.jute.OutputArchive a_, String tag)`
`void` | `setId(String m_)`
`void` | `setScheme(String m_)`
`static String` | `signature()`
`String` | `toString()`
`void` | `write(DataOutput out)`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Id

    public Id()

### Id

    public Id(String scheme,
              String id)

Method Detail

### getScheme

    public String getScheme()

### setScheme

    public void setScheme(String m_)

### getId

    public String getId()

### setId

    public void setId(String m_)

### serialize

    public void serialize(org.apache.jute.OutputArchive a_,
                          String tag)
                   throws IOException

  Specified by:
    `serialize` in interface `org.apache.jute.Record`
  Throws:
    `IOException`

### deserialize

    public void deserialize(org.apache.jute.InputArchive a_,
                            String tag)
                     throws IOException

  Specified by:
    `deserialize` in interface `org.apache.jute.Record`
  Throws:
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### write

    public void write(DataOutput out)
               throws IOException

  Throws:
    `IOException`

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Throws:
    `IOException`

### compareTo

    public int compareTo(Object peer_)
                  throws ClassCastException

  Throws:
    `ClassCastException`

### equals

    public boolean equals(Object peer_)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### signature

    public static String signature()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2017 The Apache Software Foundation